<template>
  <b-hero is-fullheight>
    <b-hero-head>
      <the-navbar/>
    </b-hero-head>
    <b-hero-body>
      <the-carousel id="home" />
      <the-about id="about" />
      <the-services id="services" />
      <the-models id="models" />
      <the-we-are-the-best id="we-are-the-best" />
      <the-partners id="partners" />
      <the-contact id="contact" />
      <b-hero-foot>
        <the-footer/>
      </b-hero-foot>
    </b-hero-body>
  </b-hero>
</template>

<script>
import TheNavbar from '~/components/TheNavbar.vue'
import TheCarousel from '~/components/TheCarousel.vue'
import TheAbout from '~/components/TheAbout.vue'
import TheServices from '~/components/TheServices.vue'
import TheModels from '~/components/TheModels.vue'
import TheWeAreTheBest from '~/components/TheWeAreTheBest.vue'
import ThePartners from '~/components/ThePartners.vue'
import TheContact from '~/components/TheContact.vue'
import TheFooter from '~/components/TheFooter.vue'

export default {
  name: 'HomePage',
  components: {
    TheNavbar,
    TheCarousel,
    TheAbout,
    TheServices,
    TheModels,
    TheWeAreTheBest,
    ThePartners,
    TheContact,
    TheFooter
  }
}
</script>

<style lang="sass">
  html,
  body
    overflow-y: auto!important
    font-style: normal
    font-weight: 300
    font-size: 18px
    line-height: 1.67
    font-family: Lato, sans-serif
    letter-spacing: 0em
    text-align: left
    color: #737373

  $body-background-color: #f5f5f5
  @import "bulma/bulma.sass"
</style>

<style scoped>
  .hero-body {
    padding: 0;
    position: relative;
    flex-direction: column;
  }

  .hero-foot {
    width: 100%
  }
</style>
